{
	"patcher" : 	{
		"fileversion" : 1,
		"rect" : [ 514.0, 232.0, 781.0, 528.0 ],
		"bgcolor" : [ 0.0, 0.0, 0.0, 1.0 ],
		"bglocked" : 0,
		"defrect" : [ 514.0, 232.0, 781.0, 528.0 ],
		"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
		"openinpresentation" : 0,
		"default_fontsize" : 12.0,
		"default_fontface" : 0,
		"default_fontname" : "Arial",
		"gridonopen" : 0,
		"gridsize" : [ 15.0, 15.0 ],
		"gridsnaponopen" : 0,
		"toolbarvisible" : 1,
		"boxanimatetime" : 200,
		"imprint" : 0,
		"enablehscroll" : 1,
		"enablevscroll" : 1,
		"devicewidth" : 0.0,
		"boxes" : [ 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "This patch captures a labelled gesture with a Nunchuk and an IR Power Ring.\n\nFirstly, osculator must be running and connected with two Wiimotes. The first is for capture the Nunchuk accelerometers, the second is for the IR capture.\n\nThen, this patch autoreads the OSC data from these two Wiimotes and shows the connections with two LEDs (data1 and data2). The third LED (IR Data) shows if there are IR data, that is to say if the Power Ring is seen.\n\nThe capture begins when the space bar is pressed once. Then it ends when it is pressed a second time.\n\nThe label of the gesture must be choosen and the name of the user typed. These informations are stored at the 1st line of the data when Save is clicked. Then it shows a dialog box to save the data into a text file.",
					"linecount" : 12,
					"fontsize" : 12.0,
					"frgb" : [ 0.05098, 0.0, 1.0, 1.0 ],
					"numinlets" : 1,
					"patching_rect" : [ 34.0, 97.0, 593.0, 172.0 ],
					"fontname" : "Arial",
					"numoutlets" : 0,
					"textcolor" : [ 0.05098, 0.0, 1.0, 1.0 ],
					"id" : "obj-13"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Capture of a Wiimote gesture",
					"fontsize" : 16.0,
					"frgb" : [ 0.858824, 0.858824, 0.858824, 1.0 ],
					"numinlets" : 1,
					"patching_rect" : [ 25.0, 59.0, 211.0, 25.0 ],
					"fontname" : "Gill Sans",
					"numoutlets" : 0,
					"textcolor" : [ 0.858824, 0.858824, 0.858824, 1.0 ],
					"id" : "obj-9"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "fpic",
					"autofit" : 1,
					"numinlets" : 1,
					"patching_rect" : [ 649.0, 394.0, 123.0, 123.0 ],
					"pic" : "pf.media.images.logo.floyd.png",
					"numoutlets" : 0,
					"id" : "obj-16"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Floyd Capturer",
					"fontsize" : 36.0,
					"frgb" : [ 1.0, 1.0, 1.0, 1.0 ],
					"numinlets" : 1,
					"patching_rect" : [ 25.0, 11.0, 373.0, 48.0 ],
					"fontname" : "Gill Sans",
					"numoutlets" : 0,
					"textcolor" : [ 1.0, 1.0, 1.0, 1.0 ],
					"id" : "obj-2"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"varname" : "autohelp_top_panel[1]",
					"bordercolor" : [ 0.564706, 0.933333, 1.0, 1.0 ],
					"border" : 3,
					"bgcolor" : [ 1.0, 1.0, 1.0, 1.0 ],
					"numinlets" : 1,
					"patching_rect" : [ 23.0, 84.0, 612.0, 430.0 ],
					"background" : 1,
					"numoutlets" : 0,
					"grad1" : [ 1.0, 1.0, 1.0, 1.0 ],
					"id" : "obj-8",
					"grad2" : [ 1.0, 1.0, 1.0, 1.0 ]
				}

			}
 ],
		"lines" : [  ]
	}

}
